<?php

/*

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 $Id: show_ips.inc,v 1.9 2003/01/30 00:42:49 vollmerk Exp $
 $Source: /data/cvsroot/maint/templates/show_ips.inc,v $

 Show a listing of IP addresses as needed.  This doesn't use a view
   as it could get pretty complicated if we have to deal with host,
   range and IP's all in one view ... ewww ....

*/

?>
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="center" bgcolor="<?= $conf['color']->bg['body_dark']; ?>">
    		<td title="<? $conf['help']->display_plain_txt("ip_address"); ?>">IP Address</td>
    		<td title="<? $conf['help']->display_plain_txt("subnet"); ?>">Subnet</td>
    		<td title="<? $conf['help']->display_plain_txt("netmask"); ?>">Netmask</td>
		<? if ($host->id) { ?>
                <td>Action</td>
		<? } ?>
	</tr>

<?

foreach ($ips as $ip) {

?>

	<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><? $conf['ui']->display_field($ip->ip_addr); ?></td>
		<td><? $conf['ui']->display_field($ip->subnet->subnet->ip_addr); ?></td>
		<td><? $conf['ui']->display_field($ip->subnet->netmask->ip_addr); ?></td>
		<? if ($host->id) { ?>
		<td>
			<? if ($user->has_access($host->zone->id) ) { ?>
			<a href="ip.php?action=select_ip&host_id=<?= $host->id ?>&ip_int=<?= $ip->ip_int ?>">Use this IP Address</a>
			<? } ?>	
		</td>
		<? } ?>
	</tr>
<?
}
?>
</table>
<? show_template('bborder'); ?>
