<?php

/*

 $Id: show_workgroup_ranges.inc,v 1.6 2003/07/01 21:49:17 vollmerk Exp $
 $Source: /data/cvsroot/maint/templates/show_workgroup_ranges.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


/*!
	@header Show Workgroup Ranges Template
	Show a listing of the $ranges (an array of Workgroup objects)

*/

?>

<p class="header2">
Viewing Ranges for Workgroup <?= $workgroup->name ?>
</p>

<p>The following is a list of ranges that have the ability to choose the above
workgroup.  This listing affects the single-host view by displaying a pulldown menu
for the user if a zone range has multiple workgroups they can select for that particular
host.</p>

<?
show_template('tborder'); 
?>

<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr class="widget-title" align="center" bgcolor="<?= $conf['color']->bg['body_dark']; ?>">
    		<td title="<? $conf['help']->display_plain_txt("range"); ?>">Range</td>
		<td title="<? $conf['help']->display_plain_txt("range"); ?>">Type</td>
	</tr>

<?

foreach ($ranges as $range) {

?>
	<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>
			<a href="/range.php?action=edit&range_id=<?= $range->id ?>">
				<?= $range->start->ip_addr ?> to <?= $range->end->ip_addr ?>
			</a>
		</td>
		<td>
			<? $conf['ui']->display_field($range->type); ?>
		</td>
	</tr>
<?
} // foreach
?>

</table>

<?
show_template('bborder'); 
?>



