<?php
/* ------------------- CVS INFO ---------------------- 
 *	
 *	$Source: /data/cvsroot/libglue/help.php,v $
 *	last modified by $Author: hopson $ at $Date: 2003/05/06 21:01:17 $ 
 *
 *	The webmanage project is part of 
 *		OSU Central Web Services.
 *	Any questions about this system can be addressed
 *		to cws-dev@lists.orst.edu
 *	This system does not judge users based on
 *		their tendency to imbibe alchoholic beverages.
 *
 * --------------------------------------------------- 
 */

/*

 The class for the built in help files (retried from mysql table)

*/

class Help {
	var $id;
	var $ident;
	var $content;

	// we can populate this stuff from the database -- no sense in
	//   passing it in.
	function Help ( $help_ident =0 ) {
		global $conf;

		$this->ident = $help_ident;

		$info = $this->get_info();

		if ( ! $info ) {
			return false;
		}

		// set all of the objects attributes
		$this->id	= $info->id;
		$this->content	= stripslashes($info->content);
	} // Help 
	function get_info () {
		global $conf;

		$sql = "SELECT * FROM help WHERE ident='$this->ident'";
		//Robert doesn't yet understand
		//$db_result = mysql_query($sql, $conf['dbh']);
		//return mysql_fetch_object($db_result);
		$retval = Array();
		$retval[] = "Return val from Help::get_info()";
		return $retval;
	} // get_info
	
	//just display the help document, no fancy mojo
	function display_help($help_ident) {
		global $conf;

		$help = new Help($help_ident);
		echo "<p>\n$help->content\n</p>\n\n";

	} //display_help

	function display_plain_txt($help_ident) {
		global $conf;

		$help = new Help($help_ident);
		$help->content = strip_tags($help->content);
		echo $help->content;

	}

	// Function to add a help document, requires ident and content
	function add_help ($help_ident, $help_content) 
	{
		global $conf, $user;

		// Make sure they are turley a administrator
		if (!$user->is_admin) 
			{ 
			$conf['error']->add_error('help_new', 'Error Creating new help document, you do not have sufficant privledges');
			return false; 
			}

		// add the required slashes to the varb so that when we enter it into the db it's mojo isn't foobed
		$help_content = addslashes($help_content);

		// check to make sure that the specified ident isn't in there already
		$sql = "SELECT * FROM help WHERE ident='$help_ident'";
		$db_results = mysql_query($sql, $conf['dbh']);
		$help = mysql_fetch_object($db_results);
		if ($help->ident <= " ") 
			{
			// dump it into the database
			$sql = "INSERT INTO help SET ident='$help_ident', content='$help_content'";
			$db_results = mysql_query($sql, $conf['dbh']);
			echo mysql_error();
			if ($db_results) { return true; }
			else 
				{ 
				$error = mysql_error();
				$conf['error']->add_error('help_new','Error Updating', "The following error occured while trying to update $help_ident $error");
				}
			}
	} // add_help

	// Update help, requires ident and content
	function update_help ($help_ident, $help_content)
	{
		global $conf, $user;

		// Make sure they are truely a administrator
		if (!$user->is_admin) 
			{ 
			$conf['error']->add_error('help_update', "Error Updating Help Document, you do not have sufficant privledges");
			return false;
			}
		// Add the required slashes
		$help_content = addslashes($help_content);
		// Update into database
		$sql = "UPDATE help SET content='$help_content' WHERE ident='$help_ident'";
		$db_results = mysql_query($sql, $conf['dbh']);
		// If unable to update then create a new error
		if (!$db_results) 
			{
			$error = mysql_error();
			$conf['error']->add_error('help_update', "Error Updating $help_ident", "The following error occured while trying to update $help_ident $error");
			}
	} // update_help
	
	// View all help documents 
	function view_help($sql)
	{
		global $conf, $user;
		$help_objects = array();
		// Make sure they are an administrator
		if (!$user->is_admin)
			{
			$conf['error']->add_error('help_view', "Error Viewing help document you do not have sufficant privledges");
			return false;
			}

		$db_results = mysql_query($sql, $conf['dbh']);
		// Dump the helps into a array
		while ($results = mysql_fetch_object($db_results))
		{
			$help_item = new Help($results->ident);
			$help_objects[] = $help_item;
		}	
		return $help_objects;	

	} // view_help

	// Display all help topics as <option> </option>
	function display_help_select()
	{

		global $conf, $user;
		// setup the query
		$sql = "SELECT ident FROM help order by ident ASC";
		$db_results = mysql_query($sql, $conf['dbh']);
		
		while ($data = mysql_fetch_object($db_results))
			{
			$help .= "<option value=\"$data->ident\">$data->ident</option>\n";
			}
	return $help;			

	} // display_help_select

	// Delete help, requires ident
	function delete_help ($help_ident)
	{
		global $conf, $user;
		
		// Make sure they are an administrator
		if (!$user->is_admin)
			{
			$conf['error']->add_error('help_delete', "Error deleting help document you do not have sufficant privledges");
			return false;
			}
		
		$sql = "DELETE FROM help WHERE ident='$help_ident' LIMIT 1";
		$db_results = mysql_query($sql, $conf['dbh']);
		if (!$db_results)
			{
			$error = mysql_error();			
			$conf['error']->add_error('help_delete', "The following error occured while trying to delete the help document: $error");
			}
	} // delete_help
	
	// show_help_link function, requires ident. Options link text
	function show_help_link ($help_ident, $help_link_text = 0)
	{
		global $conf, $user;

		$help = new Help($help_ident);
		// just create the approiate link to help.php
		if ($help_link_text == "0" and !$user->is_admin and $help->id)
			{
			$link = $conf['web_root'] . "help.php?ident=$help_ident";
			echo "<a href=javascript:Start('$link');>[?]</a>";	
			}
		elseif ($help_link_text != "0" and !$user->is_admin and $help->id) 
			{
			$link = $conf['web_root'] . "help.php?ident=$help_ident";
			echo "<a href=javascript:Start('$link');>$help_link_text</a>";
			}
		elseif (!$user->is_admin and !$help->id)
			{
			echo "&nbsp;&nbsp;&nbsp;";
			}
		elseif ($user->is_admin and ($help->id))
			{
			echo "<a href=\"" . $conf['web_root'] . "/help.php?action=edit&ident=$help_ident\">[E]</a>";
			}
		elseif ($user->is_admin)
			{
			echo "<a href=\"" . $conf['web_root'] . "/help.php?action=edit&ident=$help_ident\">[N]</a>";
			}
	} // show_help_link

	// Accessor functions -- things only used by this class or for
	//    debugging purposes

	function _show () {
		print("Help: id -> $this->id, ident -> $this->ident, <br /><br /> content -> $this->content");
	}

	function _debug () {
		if ( $this->debug ) {
			$this->debug = false;
		}
		else {
			$this->debug = true;
		}
	}
} // class Help

?>
